mod discord;
pub use discord::DiscordOauthProvider;

use oauth2::{
    basic::BasicTokenType, CsrfToken, EmptyExtraTokenFields, PkceCodeVerifier,
    StandardTokenResponse,
};
use reqwest::Url;

use crate::errors::ApiError;

pub type Token = StandardTokenResponse<EmptyExtraTokenFields, BasicTokenType>;

pub trait OauthProvider {
    fn auth_and_csrf(&self) -> (Url, CsrfToken, PkceCodeVerifier);
    async fn token(&self, code: String, verifier: PkceCodeVerifier) -> Result<Token, ApiError>;
}
