#[derive(deluxe::ExtractAttributes)]
#[deluxe(attributes(crud))]
pub struct CrudStructAttributes {
    pub table: String,
}

#[derive(deluxe::ExtractAttributes, Clone)]
#[deluxe(attributes(crud))]
pub struct CrudFieldAttributes {
    #[deluxe(default = false)]
    pub id: bool,
    #[deluxe(default = None)]
    pub column: Option<String>,
}

#[derive(Clone)]
pub struct CrudField {
    pub ident: syn::Ident,
    pub field: syn::Field,
    pub column: String,
    pub id: bool,
    pub ty: syn::Type,
}
